sendfile-0.7.9: A portable sendfile library

Safe Haskell | None

Network.Socket.SendFile.Portable

# Documentation

sendFile :: Socket -> FilePath -> IO ()Source

sendFileIterWith :: (IO Iter -> IO a) -> Socket -> FilePath -> Integer -> IO aSource

sendFile' :: Socket -> FilePath -> Integer -> Integer -> IO ()Source

sendFileIterWith' :: (IO Iter -> IO a) -> Socket -> FilePath -> Integer -> Integer -> Integer -> IO aSource

sendFile'' :: Socket -> Handle -> Integer -> Integer -> IO ()Source

sendFileIterWith'' :: (IO Iter -> IO a) -> Socket -> Handle -> Integer -> Integer -> Integer -> IO aSource

unsafeSendFile :: Handle -> FilePath -> IO ()Source

unsafeSendFileIterWith :: (IO Iter -> IO a) -> Handle -> FilePath -> Integer -> IO aSource

unsafeSendFile'Source

Arguments

:: Handle | The output handle
-> FilePath | The input filepath
-> Integer | The offset to start at
-> Integer | The number of bytes to send
-> IO () |

unsafeSendFile'' :: Handle -> Handle -> Integer -> Integer -> IO ()Source

unsafeSendFileIterWith'Source

Arguments

:: (IO Iter -> IO a) |
-> Handle | The output handle
-> FilePath | The input filepath
-> Integer | maximum block size
-> Integer | The offset to start at
-> Integer | The number of bytes to send
-> IO a |

unsafeSendFileIterWith'' :: (IO Iter -> IO a) -> Handle -> Handle -> Integer -> Integer -> Integer -> IO aSource

sendFileMode :: String Source